javafx.beans.value

## Interface ObservableStringValue

- All Superinterfaces:
    Observable, ObservableObjectValue<String>, ObservableValue<String>
  All Known Subinterfaces:
    TextInputControl.Content
  All Known Implementing Classes:
    JavaBeanStringProperty, ReadOnlyJavaBeanStringProperty, ReadOnlyStringProperty, ReadOnlyStringPropertyBase, ReadOnlyStringWrapper, SimpleStringProperty, SimpleStyleableStringProperty, StringBinding, StringExpression, StringProperty, StringPropertyBase, StyleableStringProperty

      public interface ObservableStringValue
      extends ObservableObjectValue<String>

  An observable String value.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableObjectValue`, `ObservableValue`

- - ### Method Summary

    - ### Methods inherited from interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.